> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload file

> Uploads a file to the server as a temporary file. Returns a URL that expires after 24 hours unless the URL is used in `send_event`, in which case it never expires.



## OpenAPI

````yaml /api/agent-chat/v3.6/openapi.json post /action/upload_file
openapi: 3.0.0
info:
  title: Agent Chat API
  description: >-
    The Agent Chat API allows you to manage chats, threads, events, and agent
    state.
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/agent
    description: Production server
security: []
paths:
  /action/upload_file:
    post:
      tags:
        - Events
      summary: Upload file
      description: >-
        Uploads a file to the server as a temporary file. Returns a URL that
        expires after 24 hours unless the URL is used in `send_event`, in which
        case it never expires.
      operationId: upload-file
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UploadFileRequest'
      responses:
        '200':
          description: File uploaded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadFileResponse'
              example:
                url: https://cdn.livechat-files.com/api/file/lc/img/100019.png
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken: []
components:
  schemas:
    UploadFileRequest:
      type: object
      required:
        - file
      properties:
        file:
          type: string
          format: binary
          description: >-
            The file to upload. Maximum size: 10MB. Executable files are
            rejected.
    UploadFileResponse:
      type: object
      properties:
        url:
          type: string
          description: >-
            The URL of the uploaded file. Expires after 24 hours unless used in
            `send_event`.
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of

````